PDA

View Full Version : Quercus v4.0.1 and phpMyFAQ v2.5.2


ashamash
10-05-2009, 03:52 PM
Hi All -

I've been using Quercus v3.1.6 with phpMyFAQ (http://phpmyfaq.de/) (v2.0.4 and more recently v2.0.15) deployed using glassfish (https://glassfish.dev.java.net/) for about a year now, without any issues. We did have to make some minor changes to the phpMyFAQ codebase to get it to run.

phpMyFAQ recently released a new version (v2.5.2), which uses the ext/filter PHP extension (http://www.php.net/filter) that doesn't seem to be included with Quercus v4.0.1. Before I embark on either hacking the PHP code base to replace all references to filter_, or building this package in Java, has anybody dealt with this issue previously?

Thanks in advance,
Ari Shamash

nam
10-07-2009, 01:53 AM
It'll be something we need to implement. I've filed a bug report at:

http://bugs.caucho.com/view.php?id=3705

ashamash
10-15-2009, 02:51 PM
I have started implementing a subset of ext/filter functionality, as sufficient for our needs. Let me know if there is interest in collaborating/sharing.